#

API Docs for: 2.0.0
Show: Inherited Protected Private Deprecated

# EventTarget Class

Defined in: `src/pixi/utils/EventTarget.js:11`
Module: PIXI

Mixins event emitter functionality to a class

- Index
- Methods

## Item Index

### Methods

- emit
- listeners
- mixin
- off
- on
- once
- removeAllListeners

## Methods

### `emit`

(

- `eventName`

)
Boolean

Defined in `src/pixi/utils/EventTarget.js:54`

Emit an event to all registered event listeners.

#### Parameters:

- `eventName` String

  The name of the event.

#### Returns:

Boolean:

Indication if we've emitted an event.

### `listeners`

(

- `eventName`

)
Array

Defined in `src/pixi/utils/EventTarget.js:41`

Return a list of assigned event listeners.

#### Parameters:

- `eventName` String

  The events that should be listed.

#### Returns:

Array:

An array of listener functions

### `mixin`

(

- `object`

)

Defined in `src/pixi/utils/EventTarget.js:34`

Mixes in the properties of the EventTarget prototype onto another object

#### Parameters:

- `object` Object

  The obj to mix into

### `off`

(

- `eventName`
- `callback`

)

Defined in `src/pixi/utils/EventTarget.js:143`

Remove event listeners.

#### Parameters:

- `eventName` String

  The event we want to remove.

- `callback` Function

  The listener that we need to find.

### `on`

(

- `eventName`
- `callback`

)

Defined in `src/pixi/utils/EventTarget.js:107`

Register a new EventListener for the given event.

#### Parameters:

- `eventName` String

  Name of the event.

- `callback` Functon

  fn Callback function.

### `once`

(

- `eventName`
- `callback`

)

Defined in `src/pixi/utils/EventTarget.js:124`

Add an EventListener that's only called once.

#### Parameters:

- `eventName` String

  Name of the event.

- `callback` Function

  Callback function.

### `removeAllListeners`

(

- `eventName`

)

Defined in `src/pixi/utils/EventTarget.js:173`

Remove all listeners or only the listeners for the specified event.

#### Parameters:

- `eventName` String

  The event you want to remove all listeners for.